[转帖]升级后VMWARE无法使用的看过来

Kvm、VMware、Virtualbox、Xen、Qemu 等
回复
tengbin
帖子: 1
注册时间: 2007-05-10 19:36
送出感谢: 0
接收感谢: 0

[转帖]升级后VMWARE无法使用的看过来

#1

帖子 tengbin » 2008-05-05 17:39

我的UBUNTU7.10升级后VMWARE5.5无法使用,在国外网站找到了一个解决办法。
把VMWARE升级到6.03后可以解决。不过还需要一点小小的诀窍。步骤如下:
1 从网上下载VMWARE6.03的安装包并解压

代码: 全选

tar xvf /path/to/the/file/VMware-workstation-6.0.3-80004.i386.tar.gz

2 进入含有 vmmon 模块源代码的目录

代码: 全选

cd ./vmware-distrib/lib/modules/source
3 解压 vmmon.tar

代码: 全选

tar xvf ./vmmon.tar
4 作如下操作

代码: 全选

sed -i 's/asm\/bitops.h/linux\/bitops.h/' ./vmmon-only/include/vcpuset.h
5 重新压缩 vmmon l

代码: 全选

rm ./vmmon.tar && tar cf ./vmmon.tar vmmon-only/
6 回到安装文件所在的目录

代码: 全选

cd /path/to/vmware-distrib
7 进行安装

代码: 全选

sudo ./vmware-install.pl

诀窍所在:
^^^^^^^^^^^^
最关键的诀窍是在 vmmon.tar 中的 vcpuset.h 文件的74行你可以看到:

#include "asm/bitops.h"

这个一定要改为:

#include "linux/bitops.h"

以上操作在我的UBUNTU 8.04中通过。

祝各位好运!![/list]
回复

回到 “虚拟机和虚拟化”